RCCE(3)

NAME
RCCE_debug_set - enables runtime debug messages for RCCE library calls.

SYNOPSIS
#include <rcce.h>

int RCCE_debug_set(int dbg_enable);

DESCRIPTION
RCCE_debug_set() enables runtime debug messages for RCCE library calls. Depending on the value of the input parameter dbg_enable, error messages concerning synchronization, communication, power management, or all of the above will be printed. The default is to print all error messages.

dbg_enable
    Enables runtime debug messages for RCCE library calls. The parameter dbg_enable can take on the following values. RCCE_DEBUG_SYNCH Print error messages concerning synchronization.
    RCCE_DEBUG_COMM Print error messages concerning communication.
    RCCE_DEBUG_RPC Print error messages concerning power management.

RETURN VALUE
Upon successful completion RCCE_debug_set() returns RCCE_SUCCESS.

ERRORS
Look in rcce.h for additional error codes.

SEE ALSO
rcce.h(5)

EXAMPLE